Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Friends | List of all members
InterrogateManifest Class Reference

An internal representation of a manifest constant. More...

`#include "interrogateManifest.h"`

Inheritance diagram for InterrogateManifest:

## Public Member Functions
| InterrogateManifest (const InterrogateManifest &copy)
| InterrogateManifest (InterrogateModuleDef *def=nullptr)
const std::string & | get_definition () const
FunctionIndex | get_getter () const
int | get_int_value () const
TypeIndex | get_type () const
bool | has_getter () const
bool | has_int_value () const
bool | has_type () const
void | input (std::istream &in)
| Reads the data file as previously formatted by output().
void | operator= (const InterrogateManifest &copy)
void | output (std::ostream &out) const
| Formats the InterrogateManifest data for output to a data file.
void | remap_indices (const IndexRemapper &remap)
| Remaps all internal index numbers according to the indicated map.
Public Member Functions inherited from InterrogateComponent
| InterrogateComponent (const InterrogateComponent &copy)
| InterrogateComponent (InterrogateModuleDef *def=nullptr)
const std::string & | get_alt_name (int n) const
const char * | get_library_name () const
| Returns the library name, if it is known, or NULL if it is not.
const char * | get_module_name () const
| Returns the module name, if it is known, or NULL if it is not.
const std::string & | get_name () const
int | get_num_alt_names () const
bool | has_library_name () const
| Returns true if we have a known library name, false if we do not.
bool | has_module_name () const
| Returns true if we have a known module name, false if we do not.
bool | has_name () const
void | input (std::istream &in)
| Reads the data file as previously formatted by output().
void | operator= (const InterrogateComponent &copy)
void | output (std::ostream &out) const
| Formats the component for output to a data file.

## Friends
class | InterrogateBuilder

## Detailed Description

An internal representation of a manifest constant.

Definition at line 26 of file interrogateManifest.h.

## Constructor & Destructor Documentation

## ◆ InterrogateManifest() [1/2]

InterrogateManifest::InterrogateManifest | ( | InterrogateModuleDef * | def = nullptr | ) |
| inline

Definition at line 17 of file interrogateManifest.I.

## ◆ InterrogateManifest() [2/2]

InterrogateManifest::InterrogateManifest | ( | const InterrogateManifest & | copy | ) |
| inline

Definition at line 30 of file interrogateManifest.I.

## Member Function Documentation

## ◆ get_definition()

const std::string & InterrogateManifest::get_definition | ( |  | ) | const
| inline

Definition at line 52 of file interrogateManifest.I.

## ◆ get_getter()

FunctionIndex InterrogateManifest::get_getter | ( |  | ) | const
| inline

Definition at line 84 of file interrogateManifest.I.

## ◆ get_int_value()

int InterrogateManifest::get_int_value | ( |  | ) | const
| inline

Definition at line 100 of file interrogateManifest.I.

## ◆ get_type()

TypeIndex InterrogateManifest::get_type | ( |  | ) | const
| inline

Definition at line 68 of file interrogateManifest.I.

## ◆ has_getter()

bool InterrogateManifest::has_getter | ( |  | ) | const
| inline

Definition at line 76 of file interrogateManifest.I.

## ◆ has_int_value()

bool InterrogateManifest::has_int_value | ( |  | ) | const
| inline

Definition at line 92 of file interrogateManifest.I.

## ◆ has_type()

bool InterrogateManifest::has_type | ( |  | ) | const
| inline

Definition at line 60 of file interrogateManifest.I.

## ◆ input()

void InterrogateManifest::input | ( | std::istream & | in | ) |

Reads the data file as previously formatted by output().

Definition at line 34 of file interrogateManifest.cxx.

References idf_input_string(), and InterrogateComponent::input().

## ◆ operator=()

void InterrogateManifest::operator= | ( | const InterrogateManifest & | copy | ) |
| inline

Definition at line 38 of file interrogateManifest.I.

## ◆ output()

void InterrogateManifest::output | ( | std::ostream & | out | ) | const

Formats the InterrogateManifest data for output to a data file.

Definition at line 21 of file interrogateManifest.cxx.

References idf_output_string(), and InterrogateComponent::output().

## ◆ remap_indices()

void InterrogateManifest::remap_indices | ( | const IndexRemapper & | remap | ) |

Remaps all internal index numbers according to the indicated map.

This called from InterrogateDatabase::remap_indices().

Definition at line 45 of file interrogateManifest.cxx.

References IndexRemapper::map_from().

## Friends And Related Symbol Documentation

## ◆ InterrogateBuilder

friend class InterrogateBuilder
| friend

Definition at line 58 of file interrogateManifest.h.

The documentation for this class was generated from the following files:

- dtool/src/interrogatedb/interrogateManifest.h
- dtool/src/interrogatedb/interrogateManifest.cxx
- dtool/src/interrogatedb/interrogateManifest.I